# dltHub Software EULA
Latest Update: 2024-07-30

READ THIS dltHUB SOFTWARE END USER LICENSE AGREEMENT CAREFULLY. IT CONSTITUTES A LEGALLY BINDING AGREEMENT AND GOVERNS YOUR USE OF dltHub’S SOFTWARE (DEFINED BELOW). BY INSTALLING AND/OR USING SUCH SOFTWARE, YOU ARE INDICATING THAT YOU AGREE TO THE TERMS AND CONDITIONS SET FORTH IN THIS AGREEMENT. IF YOU DO NOT AGREE WITH SUCH TERMS AND CONDITIONS, YOU MAY NOT INSTALL OR USE ANY OF THE SOFTWARE. IF YOU ARE INSTALLING OR USING THE SOFTWARE ON BEHALF OF YOUR EMPLOYER OR ANOTHER ENTITY, YOU REPRESENT AND WARRANT THAT YOU HAVE THE ACTUAL AUTHORITY TO AGREE TO THE TERMS AND CONDITIONS ON BEHALF OF SUCH EMPLOYER OR OTHER ENTITY. YOU FURTHER AGREE THAT dltHub MAY DIRECTLY ENFORCE THIS AGREEMENT AGAINST YOU IN THE CASE OF YOUR BREACH OF THIS END USER LICENSE AGREEMENT, AND YOU WAIVE ANY OBJECTION REGARDING dltHub’S STANDING TO DO SO.

The End User License Agreement (“EULA”) applies to your access, use, download or installation of dltHub Software, including the Python library software that you use in your code to create User Software and Products.

In this EULA, we use the expression “dltHub Software” or “Software” to mean any software, algorithms, applications, and programs that are licensed by dltHub to implement, run, write, manage data processing pipelines that extract, load and transform data (User Software and Products), including any Application Programming Interface (“API”), software development kits (“SDK”), libraries, code and programs, dlt OSS plugins which is licensed to you by dltHub, or otherwise made available to you.

The EULA is between you, the person who accesses, downloads, installs, configures, or uses the dltHub Software (“you”, “your”, “User”) and ScaleVector GmbH, Rosenthaler Str. 42, 10178 Berlin (“dltHub”, “we”, “us”). 

To use the dltHub Software, you must accept the EULA. If you don’t agree with the EULA or any changes that we make to them, you must cease to use the dltHub Software (as defined below). The EULA is effective as soon as you accept them, including by downloading, executing, or installing the dltHub Software, and continues in full force for as long as you are using the dltHub Software.

# Arbitration Notice

The EULA contains a mandatory arbitration provision, as well as a class action waiver. By agreeing to the EULA, you also agree to resolve any disputes through individual arbitration, and you waive your right to submit a dispute to a judge or jury, or to participate in a class action, class arbitration, or representative action.

However, if you’re based within the European Union, the above does not prevent you from bringing any action in justice before a court of law or any other governmental authority, to the extent you’re entitled to do so based on any statute applicable to you. 

## Contact Us

If you have any questions on the EULA, or if you would like to provide us with any legal notices, you can reach out to us at legal@dlthub.com, or by mail at: ScaleVector GmbH, Rosenthaler Str. 42, 10178 Berlin

Any notice that we send to you will be considered effective once sent to your email address or posted in the dltHub Software. Any notice to us will only be effective once received by our Legal Counsel.

# Definitions

Unless defined elsewhere in this EULA, the terms capitalized are defined below:

* “dltHub Software” all of the software made available to you by dltHub, including dlt OSS.  
* “dlt OSS” all of the software that is a part of dltHub Software and distributed under Open Source License. This software includes but is not limited to dlt Python library found at [https://github.com/dlt-hub/dlt](https://github.com/dlt-hub/dlt).  
* “User Software” is any source code, libraries, applications and programs that integrates dltHub Software in the source code created by the User.  
* “User Product” is any software, application, program or service created by the User that relies on dltHub Software in anyform, including command line interface and API calls and deployment packages.  
* “Commercial Terms” means the commercial terms applicable between us and Customer regarding the dltHub Software and Services or any other custom commercial agreement that dltHub has negotiated with a Customer.  
* “Customer” means an entity that provides you with access to the dltHub Software pursuant to the Commercial Terms.  
* “Documentation” means the documentation that we make available online to describe the dltHub Software.  
* “IP” means all rights, titles and interests in intellectual and industrial properties, including, without limitation, (a) all patents and applications; (b) all inventions, trade secrets, designs, methods, processes and know-how; (c) all copyrights, copyright registrations and applications, therefore, and all other rights corresponding throughout the world; (d) any and all trade names, corporate names, logos, common law, trademarks, trademark registrations and applications, therefore, and (e) all computer programs, applications or software whether in sources, object or executable code, and any proprietary rights in such programs, applications or software, including documentation and other materials related thereto.  
* “License File” is a cryptographically signed text that enables dltHub Software to execute. License Files are created and distributed by us and contain an unique identifier that we assigned to you and encoded Special Terms including Trial expiration period.  
* “Losses” means claims, penalties, fees, damages, fines, costs and expenses, including reasonable attorneys’ fees.  
* “Representatives” means our affiliates, subsidiaries, employees, directors, officers, licensors, and service providers.  
* “Services” means services that we provide to our customers, such as training and optimization of data processing pipelines, deployment and installation services, configuration, and technical support.  
* “Third-Party Services” means any third-party software, application, website, technology, service, and product, including those connected or integrated to the dltHub Software, such as by way of APIs or SDKs (an “Integration”).

# dltHub Software License

Subject to this EULA, we grant you a non-exclusive, non-transferable, revocable, and non-sublicensable right and license to access, download, install, and use the dltHub Software (the “dltHub Software License”). For the avoidance of doubt, the dltHub Software License does not apply in cases where the OSS License is applicable to the OSS dlt

Nothing in the dltHub Software License allows you to modify, distribute, resell, or sell the dltHub Software unless we specifically indicate otherwise in the Documentation. You may not decompile, disassemble, reverse engineer, modify, attempt to disable or circumvent any License File or copy protection in the Software, unless you’re permitted to do so by mandatory law.

You are free to inspect, decompile or view source code if it is distributed with the Software. Consult Documentation for supported methods of accessing the source code.

You are not permitted to distribute any derivative works from the decompiled or disassembled dltHub Software, except if permitted in Specific Terms.

We reserve our rights to limit, condition, and modify the terms and conditions relating to the dltHub Software License at our convenience, upon prior reasonable written notice.

## Specific Terms

Notwithstanding anything to the contrary, in case of a conflict between the EULA and the specific terms and conditions applicable to the dltHub Software (the “Specific Terms”) the Specific Terms will prevail over the EULA.

Without limiting the generality of the foregoing, the OSS Licenses are separate agreements. If you use OSS, you must agree with the OSS License attached to the OSS and comply with the requirements of the OSS License, including any disclaimers and attribution notices. For the avoidance of doubts, the EULA applies to the extent that it does not contradict the OSS License. The OSS Licenses are considered Specific Terms.

## Specific Terms for the Trial License (“Trial Terms”)

If you selected Trial License type, the following Specific Terms apply:

* dltHub Software will function until an expiration date encoded in the License File  
* dltHub Software will expire automatically on the expiration date.  
* In the event the License FIle expires, all licensed rights expire.  
* We will not be liable for any Losses, and you will indemnify us from any Losses, resulting from you attempting to use dltHub Software past the expiration date.

We do not restrict the scope of use and number and types of the installations of dltHub Software.

License files contain a unique random identifier known to dltHub and associated with the license subject. Consult your Documentation on how to inspect your license file.

## Specific Terms for the Commercial License (“Commercial Terms”)

If you selected a Commercial License or you were provided such license by your organization additional Specific Terms may apply.

License files contain a unique random identifier known to dltHub and associated with the license subject. Consult your Documentation on how to inspect your license file.

# Our Marks

Unless we specifically state otherwise, the dltHub Software License that is granted to you does not include any license or rights to our Marks. We reserve all our rights in our Marks, except as indicated otherwise. You agree not to display or use our Marks in any manner, including in connection with your use of User Software and Products, without our prior written consent. You will not remove any attribution or copyright notices in the EULA, including any Marks thereof.

# Intellectual Property (IP) 

The dltHub Software and the related Documentation are licensed and not sold to you. Except as set forth otherwise, the dltHub Software, including the Documentation, is our IP. All rights not granted herein are reserved.

Unless otherwise stated in the Specific Terms, any modifications, enhancements, or derivative works from the decompiled, disassembled or reverse engineered dltHub Software created by you or on your behalf, whether independently or in conjunction with dltHub, are the exclusive property of dltHub. Notwithstanding the foregoing, if the dltHub Software that you are using is subject to an OSS Licence that permits modifications and derivative works, those terms will take precedence.

You agree to not remove any attribution or copyright notices, including in the dltHub Software and its Documentation.

You may provide or we may ask you to provide suggestions, comments, input or other feedback (“Feedback”) regarding dltHub Software. If you provide us with any Feedback, then you grant us a perpetual, irrevocable, royalty-free, non-exclusive, worldwide, sublicensable, and transferable license to use, reproduce, publicly display, distribute, modify, and publicly perform the Feedback as we see fit. Any Feedback you choose to provide is given entirely voluntarily. You understand that you will not receive any compensation for your Feedback. We may use any Feedback you provide to improve the dltHub Software, or to create any products and services.

# Maintenance of the dltHub Software

We do not guarantee and are subject to no obligation to maintain current dltHub Software in its current conditions and availability. We may decide at all times to discontinue the provision of dltHub Software and this shall not entitle you to exercise any damage claims or other claims. We further have no obligation to issue updates, improvements or new versions to the dltHub Software (each a “New Version”). However, if we issue a New Version, we may cease to support previous versions, including by issuing security patches only for New Versions. You are solely responsible for installing or upgrading to New Versions, and we won’t be liable for any Losses if you fail to do so.

# Disclaimers

TO THE MAXIMUM EXTENT PERMITTED BY LAW, AND EXCEPT AS EXPRESSLY STATED OTHERWISE IN THE EULA, THE dltHUB SOFTWARE IS PROVIDED TO YOU “AS IS” AND “AS AVAILABLE”: NEITHER US NOR OUR REPRESENTATIVES PROVIDE WARRANTIES, CONDITIONS, OR UNDERTAKINGS OF ANY KIND. THIS INCLUDES BUT ISN’T LIMITED TO, WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, DATA LOSS, MERCHANTABILITY, OR NON-INFRINGEMENT.

Neither we nor our Representatives are responsible for Third-Party Services, including any Integrations. We do not represent nor warrant that Integrations will be possible, nor that the dltHub Software will be compatible with any Third-Party Services. Your use of any Third-Party Services is at your own risk, and you are responsible for (a) ensuring that you comply with their terms and conditions; (b) validating the security and privacy practices of Third-Party Services and (c) entering into appropriate terms and conditions with Third-Party Services. We make no warranties of any kind and assume no liability for any Losses resulting from Third-Party Services. We do not endorse any Third-Party Services.

Without prejudice or limitation to the above, we won’t be held liable for any Losses resulting from any cause beyond our control. This includes but is not limited to, force majeure, changes to law or regulations, embargoes, war, terrorist acts, riots, fires, earthquakes, nuclear accidents, floods, strikes, power blackouts, volcanic action, zero-day attacks, distributed denial of services attacks, unusually severe weather conditions, and acts of hackers or third-party internet service providers.

# Remedies

In addition to any remedies in this EULA, you agree to indemnify and hold us and our Representatives harmless from any third-party claims for Losses resulting from your breach of this EULA.

Your violation of this EULA may cause irreparable harm to us and our Representatives. Therefore, we have the right to seek injunctive relief or other equitable relief if you violate the EULA (meaning we may request a court order to stop you).

# Limitation of Liability

To the maximum extent permitted by law, you agree and acknowledge that neither dltHub nor our Representatives have any liability to you whatsoever (a) for indirect, consequential, punitive, special, or consequential damage, including any loss of data, profits, revenues, business opportunities, goodwill, or anticipated savings under any circumstances, even if based on negligence; (b) for any other Losses whatsoever that you incur from the use of the dltHub Software, or otherwise in connection with this EULA.

For the avoidance of doubt, in no instance, we or our Representatives will be liable for any Losses you suffer if you use the dltHub Software in violation of the EULA, regardless of whether we terminate or suspend your account due to such violation.

# Suspension; Termination

You can terminate the EULA at any time by (a) discontinuing your use of the dltHub Software and (b) uninstalling the dltHub Software.

Unless we agree otherwise with the Customer with whom you are associated, (a) we can terminate this EULA upon written notice to you, (b) we can suspend your right to access and use the dltHub Software if we reasonably suspect that you are in breach of the EULA.

When the EULA is terminated for any reasons, all licenses and rights granted herein, or in any Specific Terms, are hereby terminated, unless specifically mentioned otherwise. You agree to discontinue the use of the dltHub Software, and uninstall the dltHub Software. All terms which by their nature should survive, will survive the termination. This includes any disclaimers and limitations of liability.

# Governing Laws and Jurisdictions

The laws of Germany will apply to the interpretation of the EULA (without regard to conflict of law rules or principles), and subject to the provisions below, you agree that disputes will exclusively be resolved in the competent courts of Berlin. If you’re entering into this EULA acting as a consumer, the preceding choice of venue of jurisdiction shall not apply. 

# Mandatory Arbitration

Unless you’re located within the European Union, and in any case to the extent permitted under the law applicable in your case, all disputes arising out of or in connection with the present contract shall be finally settled under the Rules of Arbitration of the International Chamber of Commerce (“ICC”) by one arbitrator appointed in accordance with the said Rules, using ICC Case Connect, ICC’s digital case management platform connecting parties, arbitral tribunals, and the ICC Secretariat. The arbitration will occur in English, in the location in which you would resolve disputes under the courts of law as above stated. No award or procedural order made in the arbitration shall be published.

## Class Action Waiver

For the avoidance of doubts, the parties waive any right to assert any claims against the other party as a representative or member in any class or representative action, except where such waiver is prohibited by law or deemed by a court of law to be against public policy.

# Changes

Although we might have agreed to restrictions in Commercial Terms, as between you and us, you agree and understand that we can change this EULA from time to time by providing you with a reasonable prior written notice. If you don’t agree with these changes, you must cease to use the dltHub Software.

We can also make changes to the dltHub Software from time to time, with, or without warning. If we believe that these changes can affect your User Software and Products, we will attempt to provide you with a prior written notice prior to making the changes.

If we update this EULA, we will update the “Latest Update” date above to reflect the latest version.

# Export Control

Use of the dltHub Software for any dealings, engagement, or sale of goods/services linked directly or indirectly with jurisdictions that dltHub has deemed high risk, such as Cuba, Iran, North Korea, Syria, and the Crimea, Donetsk, and Luhansk Regions; or persons dltHub has deemed high risk, such as those individuals or entities named to a restricted person or party list of the United States of America, European Union or United Nations, including the sanctions lists maintained by the U.S. Office of Foreign Assets Control or the Denied Persons List or Entity List maintained by the U.S. Department of Commerce, is prohibited.

It is prohibited to use our products and services to export directly or indirectly, re-export, sell, or supply accounting, trust or corporate formation, or management consulting services to any persons located in the Russian Federation.

To the extent applicable to you, you must comply with (a) all applicable laws, including those relating to export control; (b) with the sanctions programs administered by the Office of Foreign Assets Control of the U.S. Department of the Treasury and (c) you will not directly or indirectly export, re-export, or transfer the dltHub Software, the Content or the Documentation to prohibited countries or individuals or permit their use by prohibited countries or individuals.

# Interpretation

You may not assign any of your rights under this EULA to anyone else. We may assign this EULA, and any of our rights and obligations hereunder to any other individual or entity at our discretion.

If it turns out that a section of this EULA isn’t enforceable, then that section will be removed or edited as little as required, and the rest of the EULA will still be valid. The headers and sidebar text are provided only to make this EULA easier to read and understand. The fact that we wrote this EULA won’t affect the way the EULA is interpreted. If we don’t immediately take action on a violation of this EULA, we’re not giving up any rights under the Terms, and we may still take action at some point. A waiver on one occasion will not be a waiver of any right or remedy of any future occasion.

You and we agree that no joint venture, partnership, employment, or agency relationship exists between us.

The EULA, along with any Specific Terms, make up the entire agreement between us in relation to its subject matter and supersede all prior agreements, representations, and understandings.